% Copyright (C) 2008-2009 - Consortium Scilab - Digiteo - Vincent Couvert
% Copyright (C) 2008-2009 - INRIA - Serge Steer
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

%% Chapter 4
\chapter{Semidefinite programming}

\section{Mathematical point of view}
This kind of optimization is the minimization of $f(x) = c^T x$ under the constraint:
\begin{equation}
F_0 + x_1 F_1 + ... + x_m F_m \geq 0
\end{equation}

or its dual problem, the maximization or $-Trace(F_0, Z)$ under the constraints:
\begin{equation}
Trace(F_i, Z) = c_i, i=1, ..., m
\end{equation}
\begin{equation}
Z \geq 0
\end{equation}

\section{Scilab function}
The Scilab function called \textit{semidef} is designed for this kind of optimization problems. 
For more details about this function, please refer to 
\href{http://www.scilab.org/product/man/semidef.html}{
\underline{Scilab online help}
}

\section{Optimization routines}
Scilab \textit{semidef} function is based on a routine from L. Vandenberghe and Stephen Boyd.
